A video won't play "hlsjs-lite: Unsupported Video" error

This error is caused by browsers that do not support our video player and is a known issue for Firefox and Safari. 

We recommend using Chrome for the best experience.